library ContractManagement;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  MidasLib, 
  U_GetDllForm in 'U_GetDllForm.pas',
  U_RTFun in '..\Z99Dependency\RTFunAndForm\Fun\U_RTFun.pas',
  U_ModuleNote in 'U_ModuleNote.pas' {frmModuleNote},
  U_DataLink in 'U_DataLink.pas' {DataLink_ContractManagement: TDataModule},
  U_ZDYHelpSel in 'U_ZDYHelpSel.pas' {frmZDYHelpSel},
  U_iniParam in 'U_iniParam.pas',
  U_Fun in '..\Z99Dependency\ThreeFun\Fun\U_Fun.pas',
  U_SelExportField in '..\Z99Dependency\ThreeFun\Fun\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\Z99Dependency\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\Z99Dependency\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  U_RTZDYHelp in '..\Z99Dependency\RTFunAndForm\Form\U_RTZDYHelp.pas' {frmRTZDYHelp},
  U_CompressionFun in '..\Z99Dependency\ThreeFun\Fun\U_CompressionFun.pas',
  U_SysLogHelp in '..\Z99Dependency\ThreeFun\Form\U_SysLogHelp.pas' {frmSysLogHelp},
  U_FactoryGYS in 'U_FactoryGYS.pas' {frmFactoryGYS},
  U_SCJHOrderList in 'U_SCJHOrderList.pas' {frmSCJHOrderList},
  U_ZdyAttachGYS in 'U_ZdyAttachGYS.pas' {frmZdyAttachGYS},
  U_ZDYHelp in '..\Z99Dependency\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_Fun10 in '..\Z99Dependency\ThreeFun\Fun\U_Fun10.pas',
  U_CPSel in 'U_CPSel.pas' {frmCPSel};

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
//     Application:=NewDllApp;
end;
exports
   GetDllForm;
begin
   try
     NewDllApp:=Application;
     DLLProc := @DLLUnloadProc;
   except

   end;
end.

